
QGIS Application - Bug report #14536

Default actions: typo in Selected field's value

2016-03-20 03:17 AM - Kai Borgolte

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22509

Description

QtGui.QMessageBox.information(None, "Current field's value", "[% $currentfield %]")

should be:

QtGui.QMessageBox.information(None, "Current field's value", "[% $currfield %]")

(i.e. $currfield instead of $currentfield).

Associated revisions

Revision 3d494ac9 - 2016-05-28 04:45 PM - Nyall Dawson

Fix feature's value action not working (fix #14536)

Replace broken/missing $currfield with new @current_field

expression variable. Update other default actions to use

expression variables instead of deprecated special columns.

History

#1 - 2016-03-20 01:38 PM - Anita Graser

Just tested on master and neither $currentfield nor $currfield seem to work ...

#2 - 2016-03-20 01:38 PM - Anita Graser

- Category set to Actions

#3 - 2016-03-21 02:11 AM - Kai Borgolte

Anita Graser wrote:

Just tested on master and neither $currentfield nor $currfield seem to work ...

Try a right click on some cell in attribute table or on some value in identify results. The expression was renamed from previously "%%" - this is still in the

user manual.
#4 - 2016-05-28 07:46 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"3d494ac9f8324f734802704cef45f3cf79fe2658".
